LINUX.ORG.RU

Tribler 7.10

 , , ,


1

2

Tribler – клиент BitTorrent с открытым исходным кодом, разрабатываемый Делфтским Техническим Университетом (Нидерланды). Клиент написан на PyQt+LibTorrent. Особенности клиента:

  • собственная TOR-подобная сеть для анонимизации закачек и раздач;
  • приоритизация «альтруистичных» пользователей анонимной сети;
  • децентрализованная база торрентов, наполняемая по принципу краудсоринга.

>>> Tribler 7.10

anonymous

Проверено: Shaman007 ()

Это не просто torrent-клиент, а P2P-сеть для обмена на основе протокола bittorent и луковичной машрутеризацией. Там ещё и свои токены есть для поощрения раздач и выкладывания оригинального контента. https://github.com/Tribler/tribler/wiki

cocucka ★★★★ ()

PyQT

Питон не нужен. Видали мы уже один гуй на питоне. Не будем показывать пальцем, хотя это был PgAdmin 4. Бешеное тормозилово. Ещё и пляски с бубном чтобы его запустить.

Кроме того, если в УНИВЕРСИТЕТЕ не осилили плюсы, чтобы юзать Qt нативно, то ничего хорошего они написать не могут в принципе.

dimgel ★★★ ()
Ответ на: комментарий от petyanamlt

Эта хрень тоже долго запускается, симпатичная и работает

Ну допустим. Но вот взять например QBitTorrent. Тоже симпатичен и работает. Причём очень шустро (и запускается, и работает). Зачем тогда нужен сабж?

dimgel ★★★ ()
Ответ на: комментарий от dimgel

Я им и пользовался, но сейчас репа с сайта не работает, а в установленном из флатпака почему-то нельзя выбрать скачивание на другой диск, только на системный качает, такие дела.

petyanamlt ★★★★ ()
Ответ на: комментарий от petyanamlt

а в установленном из флатпака почему-то нельзя выбрать скачивание на другой диск

Хм. У меня 4.3.x ЕМНИП позволяет и дефолтный путь выбирать, и per-torrent. Но ежели и не позволял бы, симлинки и mount -bind рулят.

dimgel ★★★ ()
Ответ на: комментарий от art2021

Вот, что пишет в crash-report.log:

Fatal Python error: Aborted

Current thread 0x00007f01fb212740 (most recent call first): File «tribler_gui/single_application.py», line 26 in init File «tribler_gui/tribler_app.py», line 24 in init File «run_tribler.py», line 190 in

P.S. В феврале об этом уже говорили https://github.com/Tribler/tribler/issues/5998 но всё по-прежнему. По крайней мере все перечисленные пакеты у меня установлены.

art2021 ()
Ответ на: комментарий от anonymous

Супер! Дело дошло до весёлых рыжих шестерёнок! Их я тоже видел пару версий назад, когда в последний раз пробовал поставить Tribler. Закончилось их размеренное вращение, как и в прошлый раз, ошибкой:

tribler_gui.utilities.CreationTraceback: File «run_tribler.py», line 213, in File «tribler_gui/utilities.py», line 395, in trackback_wrapper File «tribler_gui/event_request_manager.py», line 151, in connect

The above exception was the direct cause of the following exception:

Traceback (most recent call last): File «tribler_gui/utilities.py», line 398, in trackback_wrapper File «tribler_gui/utilities.py», line 395, in trackback_wrapper File «tribler_gui/event_request_manager.py», line 151, in File «tribler_gui/event_request_manager.py», line 87, in on_error tribler_gui.event_request_manager.CoreConnectTimeoutError: Could not connect with the Tribler Core within 60 seconds apispec/ext/marshmallow/common.py:139: UserWarning: Multiple schemas resolved to the name GetChannelContentsResponse. The name has been modified. Either manually add each of the schemas with a different name or provide a custom schema_name_resolver. apispec/ext/marshmallow/common.py:139: UserWarning: Multiple schemas resolved to the name SpeedTestRequest. The name has been modified. Either manually add each of the schemas with a different name or provide a custom schema_name_resolver. [PID:20801] 2021-07-10 00:54:25,546 - ERROR session:240 Session.unhandled_error_observer(): Unhandled exception occurred! [Errno 99] error while attempting to bind on address (‘::1’, 52194, 0, 0): cannot assign requested address

–LONG TEXT– Traceback (most recent call last): File «run_tribler.py», line 98, in start_tribler File «tribler_core/session.py», line 287, in start File «tribler_core/restapi/rest_manager.py», line 123, in start File «aiohttp/web_runner.py», line 100, in start File «asyncio/base_events.py», line 1463, in create_server OSError: [Errno 99] error while attempting to bind on address (‘::1’, 52194, 0, 0): cannot assign requested address

–CONTEXT– {‘message’: ‘Task exception was never retrieved’, ‘exception’: OSError(99, «error while attempting to bind on address (‘::1’, 52194, 0, 0): cannot assign requested address»), ‘future’: <Task finished name=‘Task-1’ coro=<start_tribler_core..start_tribler() done, defined at run_tribler.py:62> exception=OSError(99, «error while attempting to bind on address (‘::1’, 52194, 0, 0): cannot assign requested address»)>}

Что теперь делать?

art2021 ()
Ответ на: комментарий от anonymous

Запустилось. Но скачать ничего не может, хоть сидеры и есть.
В общем, сыро. Тема с каналами вроде хороша, но всё равно похожа на полумеру.

Наверное чего хотелось бы, так это анонимного децентрализованного dc++, чтобы можно было просто отхешировать свои файлы.
Объединить бы (де)централизованное оформление раздач с обсуждением и хешированием в одном флаконе, это был бы dc++, который мы заслужили.

aidaho ★★★★★ ()
Ответ на: комментарий от qbbr

Почему-то вспомнилось:

«В этом и заключается искусство описателя. Говно говном каждый может назвать. А ты попробуй говно так описать, чтобы у юзера руки зачесались его установить!..»

© Ю. Бригадир «Дневник тестировщика»

Mischutka ★★ ()